Name:		italc
Version:	2.0.0
%define subrel	1
Release:	%mkrel 3
Summary:	Intelligent teaching and learning with computers
Group:		Networking/Remote access
License:	GPLv2+
URL:		http://italc.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	italc.desktop
Patch0:		italc-2.0.0-mdv-fix_cmake.diff
Patch1:		italc-2.0.0-minilzo.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	jpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	desktop-file-utils
BuildRequires:	java-devel	

%description
iTALC is a useful and powerful didactic tool which lets you view and
control computers in your labs and interact with students in a modern
way. It supports Linux and Windows NT/2000/XP and it even can be used
transparently in mixed environments.

%package client
Summary:	software for iTALC-clients
Group:		Networking/Remote access
Requires:	%{name} = %{version}

%description client
This package contains the software, needed by iTALC-clients.

%package master
Summary:	iTALC master software
Group:		Networking/Remote access
Requires:	%{name} = %{version}
Requires:	%{name}-client = %{version}

%description master
This package contains the actual master-software for accessing clients.

%prep
%setup -q
%patch0 -p1
pushd ica/x11
%patch1 -p0 -b .lzo
popd

%build
%cmake
%make 

%install
%makeinstall_std -C build

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE1}
install -Dm 0644 ima/data/%{name}.png %{buildroot}%{_datadir}/icons/%{name}.png
install -Dm 0644 ima/data/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%files
%doc COPYING README AUTHORS ChangeLog

%files client
%{_bindir}/ica
%{_bindir}/%{name}_auth_helper
%{_libdir}/libItalcCore.so

%files master
%{_bindir}/%{name}
%{_bindir}/imc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/JavaViewer/VncViewer.jar
%{_datadir}/%{name}/JavaViewer/index.vnc


%changelog
* Wed Aug 20 2014 luigiwalser <luigiwalser> 2.0.0-3.1.mga4
+ Revision: 666024
- rediff patch from harbour to fix CVE-2014-4607 in bundled minilzo

  + dams <dams>
    - update .desktop file

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 506154
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 354590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 bersuit <bersuit> 2.0.0-1.mga3
+ Revision: 343004
- Fixed BuildRequires: java-devel
- Update to New Version 2.0.0

* Sat May 14 2011 dmorgan <dmorgan> 1.0.13-1.mga1
+ Revision: 98418
- imported package italc

